<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" ng-app="eTicketHotel">
	<head runat="server">
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
		<meta name="description" content="" />
		<meta name="author" content="" />
		<link rel="shortcut icon" type="image/x-icon" href="app/images/danata/logo.png" />
		<title>OUA Travel - bringing more to travel</title>
		<link rel="stylesheet" href="app/plugins/bootstrap/css/bootstrap.css" type="text/css" media="screen" />
		<link rel="stylesheet" href="app/plugins/bootstrap/print.css" type="text/css" media="print" />
		<link rel="stylesheet" href="app/assets/fonts/font-awesome/css/font-awesome.min.css" type="text/css" media="screen" />
		<link href="app/assets/css/custom.css" rel="stylesheet" media="screen"/>
		<script type="text/javascript" src="app/assets/angular/angular.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-sanitize.min.js"></script>
		<script src="views/hotel/eTicketHotelController.js"></script>
		<!-- <script src="plugins/uniqueFilter/unique.js"></script> -->
	</head>
	<style>
		@page {
		margin: 8.7mm 2.7mm;
		}
		@media print {
		body {
		font-size : 12px;
		font-family: sans-serif !important;
		background: #fff !important;
		padding-bottom: 20px;
		}
		.container{
		padding-left: 5px;
		padding-right: 5px;
		}
		.row{margin: 0;}
		.padding5{padding: 5px !important;}
		.staticContent { background: #fff !important; color: red !important; padding: 5px; -webkit-print-color-adjust: exact; color-adjust: exact; border-bottom: 2px solid #fff !important;}
		.themeBg {background: #fff !important; -webkit-print-color-adjust: exact; color-adjust: exact;}
		.tabHeadBorder {border-right: 2px solid #fff;}
		.borderClass {border: 2px solid red !important;border-radius: 2px;}
		.printDispNone {display: none;}
		.printMarg { margin-top: 10px;}
		}
		@media screen {
		body {
		background: #fff !important;
		overflow-y: scroll;
		padding-bottom: 20px;
		}
		.labelInfo {color: #004990;}
		.margin0{margin: 0;}
		.hotelName{
		cursor: pointer;
		overflow: hidden;
		text-overflow: ellipsis;
		white-space: nowrap;
		}
		.hotelAddrs{
		cursor: pointer;
		overflow: hidden !important;
		text-overflow: ellipsis !important;
		white-space: nowrap !important;
		}
		.roomName{
		cursor: pointer;
		overflow: hidden;
		text-overflow: ellipsis;
		white-space: nowrap;
		}
		.margRight5{margin-right: 5px;}
		.footerClass {
		position:relative; width:100%; bottom:0;
		}
		.padding5{padding: 5px !important;}
		.staticContent { background: #fff !important; color: red !important; padding: 5px; -webkit-print-color-adjust: exact; color-adjust: exact;}
		.themeBg {background: #fff  !important; -webkit-print-color-adjust: exact; color-adjust: exact;}
		.tabHeadBorder {border-right: 2px solid #fff;}
		.container {border: 2px solid #ea0100!important;border-radius: 2px;}
		}
		.roomTitle1{
	font-size: 18px;
    font-weight: 600;
    margin-left: -59em;
}

	</style>
	<body ng-controller="eTicketHotelCtrl">
		<div class="container">
			<div class="borderClass">
				<div class="row red">
					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 padding5 text-uppercase text-center themeBg">
						<b class="printUline red">E-VOUCHER</b>
						<!-- <span title="print" class="printDispNone red" style="cursor: pointer;" onclick="printTkt();"><i class="fa fa-print fa-lg pull-right"></i></span> -->
						<span title="print" class="printDispNone red" style="cursor: pointer;" href="e-ticketHotel.xhtml" onClick="window.print();return false"><i class="fa fa-print fa-lg pull-right"></i></span>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-7 col-sm-7 col-md-7 col-lg-7">
						<div class="row margtop5">
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 staticContent">
								Itinerary No<span class="pull-right" style="color:Red;">:</span>
							</div>
							<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9 padding5">
								<span>{{reference}}</span>
							</div>
						</div>
						<div class="row margtop5">
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 staticContent">
								Reference No<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9 padding5">
								<span>{{docket}}</span>
							</div>
						</div>
						<div class="row margtop5">
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 staticContent">
								Booking Status<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9 padding5">
								<span>{{bkngStatus}}</span>
							</div>
						</div>
						<div class="row margtop5">
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 staticContent">
								Hotel Name<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9 padding5">
								<div class="hotelName">
									<span title="{{hotelname}}">{{capitalizeFirstLetter(hotelname)}}</span>
									<img src="app/images/{{stars}}.png"/>
								</div>
							</div>
						</div>
						<div class="row margtop5">
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 staticContent">
								Address<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9 padding5 hotelAddrs">
								<span title="{{address}}">{{address}}</span>
							</div>
						</div>
						<div class="row margtop5">
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 staticContent">
								Phone No<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 padding5">
								<span class="hotelPhone" title="{{phoneNo}}">{{phoneNo}}</span>
							</div>
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 staticContent">
								Booking Date<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 padding5">
								{{bookingDate}}
							</div>
						</div>
						<div class="row margtop5">
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 staticContent">
								Check In <span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 padding5">
								{{checkIn}}
							</div>
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 staticContent" ng-hide="{{checkInTime==null}}">
								Check In <i class="fa fa-clock-o"></i><span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 padding5" ng-hide="{{checkInTime==null}}">
								{{checkInTime}}
							</div>
						</div>
						<div class="row margtop5">
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 staticContent">
								Check Out <span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 padding5">
								{{checkOut}}
							</div>
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 staticContent" ng-hide="{{checkOutTime==null}}">
								Check Out <i class="fa fa-clock-o"></i><span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 padding5" ng-hide="{{checkOutTime==null}}">
								{{checkOutTime}}
							</div>
						</div>
					</div>
					<div class="col-xs-5 col-sm-5 col-md-5 col-lg-5 text-right margtop10">
						<img alt="Travel Agency Logo" src="images/logo.png" height="60" width="150" />
					</div>
				</div>
				<div class="row margtop5">
					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 text-justify" ng-bind-html="description"></div>
				</div>
				<div class="row margtop5 red">
					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 padding5 text-uppercase themeBg">
						<b class="printUline red">PRICE SUMMARY</b>
					</div>
				</div>
				<div class="row margtop5">
					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
						<div class="row">
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 staticContent">
								Total Room(s)<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 offset-0 padding5">
								<span>{{totalRooms}}</span>
							</div>
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 staticContent">
								Total Nights<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 offset-0 padding5">
								<span>{{totalNights}}</span>
							</div>
						</div>
					</div>
				</div>
				<div class="row margtop5">
					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
						<div class="row">
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 staticContent">
								Total Room Fare<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 offset-0 padding5">
								<b>{{currency}}</b> <span style="color:#FF4A00;"><b>{{grandTotal}}</b></span>
							</div>
						</div>
					</div>
				</div>
				<div class="row margtop5" ng-repeat="room in rooms">
					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" ng-repeat="roomInfos in room.roomInfos">
						<div class="row padding5 text-uppercase themeBg red">
							<b class="printUline red">ROOM {{$index+1}} DETAILS</b>
						</div>
						<div class="row margtop5">
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 staticContent">
								Room Name<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 offset-0 padding5 roomName">
								<span title="{{roomInfos.roomName}}">{{roomInfos.roomName}}</span>
							</div>
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 staticContent">
								Passenger<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 offset-0 padding5">
								Adult-{{roomInfos.adultCount}}&nbsp;|
								Child-{{roomInfos.childCount}}&nbsp;|
								Infant-{{roomInfos.infantCount}}
							</div>
						</div>
						<div class="row margtop5">
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 staticContent">
								Room Type<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 offset-0 padding5">
								{{roomInfos.roomType}}
							</div>
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 staticContent">
								Room Ref<span class="hidden-xs">erence</span> No<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 offset-0 padding5">
								{{roomInfos.roomRefNo}}
							</div>
						</div>
						<div class="row margtop5">
							
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 staticContent">
								Meal Board<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 offset-0 padding5">
								<span>{{roomInfos.mealBoardDesc!=null? roomInfos.mealBoardDesc:'N/A'}}</span>
							</div>
						</div>
						<div class="row margtop5">
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 staticContent hidden-xs" ng-show="roomInfos.paymentGuaranteedBy!=null || roomInfos.roomComments!=null">
								Notes<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-10 col-sm-10 col-md-10 col-lg-10 offset-0 padding5 hidden-xs" ng-show="roomInfos.paymentGuaranteedBy!=null || roomInfos.roomComments!=null">
								<span ng-bind-html="roomInfos.paymentGuaranteedBy"></span>
								<span ng-bind-html="roomInfos.roomComments"></span>
							</div>
						</div>
						<div class="row margtop5">
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 staticContent hidden-xs" ng-show="roomInfos.cancellationPolicy!=null">
								Cancellation Policy<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-10 col-sm-10 col-md-10 col-lg-10 offset-0 padding5 hidden-xs" ng-show="roomInfos.cancellationPolicy!=null">
								<span ng-bind-html="roomInfos.cancellationPolicy"></span>
							</div>
						</div>
						<div class="row margtop5">
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 staticContent hidden-xs" ng-show="roomInfos.amendmentPolicy!=null">
								Amendment Policy<span class="pull-right" style="color:#004990;">:</span>
							</div>
							<div class="col-xs-10 col-sm-10 col-md-10 col-lg-10 offset-0 padding5 hidden-xs" ng-show="roomInfos.amendmentPolicy!=null">
								<span ng-bind-html="roomInfos.amendmentPolicy"></span>
							</div>
						</div>
					</div>
				</div>
				<div class="row themeBg red">
					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 padding5 text-uppercase">
						<b class="printUline red">PASSENGER DETAILS</b>
					</div>
				</div>
					
				<div class="row text-center" ng-repeat="roomItem in roomItems | unique: 'roomRefNo'">
				<div class="col-md-12">
					<span class="roomTitle1 red">Room {{$index + 1}}</span>
					<div class="row text-center red">
					<div class="col-xs-1 col-sm-1 col-md-1 col-lg-1 padding5 tabHeadBorder themeBg">
						Title
					</div>
					<div class="col-xs-5 col-sm-5 col-md-5 col-lg-5 padding5 tabHeadBorder themeBg">
						Given Name
					</div>
					<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 padding5 tabHeadBorder themeBg">
						Surname
					</div>
					<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 padding5 themeBg">
						Nationality
					</div>
				</div>
					<div class="row" ng-repeat="roomItemList in roomItem.roomItems">
						<div class="col-xs-1 col-sm-1 col-md-1 col-lg-1">
						{{roomItemList.paxDtl.personaldata.salutation}}
					</div>
					<div class="col-xs-5 col-sm-5 col-md-5 col-lg-5">
						{{roomItemList.paxDtl.personaldata.fname}} 
					</div>
					<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3">
						{{roomItemList.paxDtl.personaldata.lname}}
					</div>
					<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3">
						{{roomItemList.paxDtl.personaldata.nationalityname}}
					</div>
						</div>
					</div>
					
				</div>
				
			</div>
		</div>
		<!-- <script>
			function printTkt(){
				window.print();
			}
		</script> -->
		<input type="hidden" value="#{customSession.userName}" id="userName" />
		<input type="hidden" value="#{customSession.firstName}" id="firstName" />
		<input type="hidden" value="#{customSession.userId}" id="userId" />
		<input type="hidden" value="#{customSession.logged}" id="logged" />
		<input type="hidden" value="#{customSession.systemUser}" id="sysUser" />
	</body>
</html>